Subject: Re: syntax for clobber list with inline assembly

From: Chris Friesen <[email-masked]>
Date: Wed, 08 Jun 2005 15:39:45 -0600

Hollis Blanchard wrote:

> But it should be said that much better style is to let the compiler 
> choose registers for you, i.e. don't hardcode register numbers at all. 
> For example (well, it's contrived, but I hope you get the idea):

Certainly that would be the normal case.

In this particular case I'm writing some code to test whether my 
function to flush/clear the entire cache is properly working.

It uses self-modifying code, and I've got some instructions using r3 
hardcoded as hex.  Thus the specific use of r3.

Chris